import { OpenAPIHono } from '@hono/zod-openapi';
import createOrder from './create';
import listOrders from './list';
import getOrder from './[id]/get';
import cancelOrder from './[id]/cancel';

// 注册订单路由
const app = new OpenAPIHono()
  .route('/', cancelOrder)
  .route('/', listOrders)
  .route('/', createOrder)
  .route('/', getOrder);

export default app;